const displayWaitingSpinner = require('./waiting-spinner');
let httpRequestTimeout = 20000;
function displayErrorMessage(error) {

  console.log(error);

  let errorMessage = (error.responseText !== undefined) ? error.responseText : error.statusText;

  if (error.status === 401) {
    errorMessage = 'Authentifizierung nicht erfolgreich. Bitte prüfen Sie in den Zendesk-Einstellungen die Parameter topic-model-url sowie api-token.'
  } else if (error.status === 502) {
    errorMessage = 'Verbindung zu Mailytica-Server konnte nicht erstellt werden. Bitte prüfen Sie in den Zendesk-Einstellungen den Parameter topic-model-url.'
  } else if (error.status === 403) {
    errorMessage = 'Verbindung zu Mailytica-Server konnte nicht erstellt werden. Bitte prüfen Sie in den Zendesk-Einstellungen den Parameter topic-model-url.'
  } else if (errorMessage === 'timeout') {
    errorMessage = 'Timeout nach ' + httpRequestTimeout / 1000 + ' Sekunden bei Verbindungsaufbau zu Mailytica-Server.'
  }

  let srpErrorMessage = {
        errorMessage: errorMessage
      },
      source = $('#error-message-template').html(),
      template = Handlebars.compile(source),
      html = template(srpErrorMessage);

  $('#draftSmartResponseButton').hide();
  displayWaitingSpinner(false);

  $('#handlebarContent').html(html);
}

module.exports = displayErrorMessage;
