const locale = require('./locales');
const client = ZAFClient.init();

// Related documentations:
// http://i18njs.com/
// https://github.com/zendesk/app_scaffold/blob/master/doc/i18n.md
// https://support.zendesk.com/hc/en-us/articles/203761906-Language-codes-for-Zendesk-supported-languages#Default_languages

function lang(callback) {
  client.get('currentUser.locale').then((data) => {
    const zendeskLocale = data['currentUser.locale'];
    getLocale(zendeskLocale, callback);
  });
}

function getLocale(mailyticaLocaleCode, callback) {
  if (locale[0][mailyticaLocaleCode]) {
    callback(locale[0][mailyticaLocaleCode]);
  }
  else {
    callback(locale[0]['en-US']);
  }
}

module.exports = lang;